/* :mode=transact-sql:folding=explicit:collapseFolds=1:indentSize=3: */

* current_version _
SELECT DB_VERSION FROM GPD_DBINFO;

\p Current GPD DB Version: *{current_version}

* upgraded = false


-- We did not introduct MS SQL support until version 4 of the DB, so no upgrades
-- are necessary.

/*
* if (*current_version < 5)
   \p Upgrading from v*{current_version} to v5...
   -- Insert upgrade statements here
   * current_version = 5
   * upgraded = true
* end if
*/


* if (*upgraded == true)
   \p DB_VERSION upgraded to v*{current_version}
   \i @/define-routines.sql   -- procedures may have changed; redefine
   UPDATE GPD_DBINFO SET DB_VERSION = *{current_version};
   COMMIT;
* end if

* - current_version
* - upgraded
